1.1

1.1

post /v1/transit-gateways/{transit_gateway_id}/routing-rules

Description

Create Transit Gateway Rule.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathtransit_gateway_id
required
Transit Gateway ID
Example :
stringNone
bodybody
required

TransitGatewayRuleCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedTransitGatewayRuleShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/transit-gateways/{transit_gateway_id}/routing-rules

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.1"

Request body

{
    "description": "",
    "destination_cidr": "",
    "destination_type": "VPC",
    "tgw_connection_vpc_id": ""
}

Example HTTP response

Response 202

{
    "transit_gateway_rule": {
        "account_id": "",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "",
        "destination_cidr": "",
        "destination_resource_id": "",
        "destination_resource_name": "",
        "destination_type": "VPC",
        "id": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "source_resource_id": "",
        "source_resource_name": "",
        "source_type": "VPC",
        "state": "CREATING",
        "tgw_connection_vpc_id": "",
        "tgw_connection_vpc_name": ""
    }
}